# Initializations for game plugin functions
# by Gary Arndt

global source_arg g_sLibDir

# Bootstrap echo command
proc echo {value} {return $value}

# Output a text string
proc msg args {

	# Call custom text output command
	# - Eval MUST be used because any variable (single var, list, array, or 
	# otherwise) will pass as a single argument; there appears to be no way to pass 
	# a var-arg list like in C
	return [eval "tpiMessage $args"]
}

# Input a text string
proc input {} {

	return [tpiCMD Input]
}

# Source from default library
proc sd {sFile} {
	global g_sLibDir

	source $g_sLibDir/$sFile
}

# Debug
#msg "DBG (tpi init): Loading init script"
#msg "DBG (tpi init): source_arg = $source_arg"

# Set g_sLibDir for sd command
if [info exists source_arg] {
	set g_sLibDir [file dirname $source_arg]
} else {
	msg "ERROR (tpi init): source_arg undefined, required for \"sd\" command"
}
